/*******************************************************************************
* Freescale Semiconductor Inc.
* (c) Copyright 2014 Freescale Semiconductor, Inc.
* ALL RIGHTS RESERVED.
********************************************************************************
Services performed by FREESCALE in this matter are performed AS IS and without 
any warranty. CUSTOMER retains the final decision relative to the total design 
and functionality of the end product. FREESCALE neither guarantees nor will be 
held liable by CUSTOMER for the success of this project.
FREESCALE DISCLAIMS ALL WARRANTIES, EXPRESSED, IMPLIED OR STATUTORY INCLUDING, 
BUT NOT LIMITED TO, IMPLIED WARRANTY OF MERCHANTABILITY OR FITNESS FOR 
A PARTICULAR PURPOSE ON ANY HARDWARE, SOFTWARE ORE ADVISE SUPPLIED TO THE PROJECT
BY FREESCALE, AND OR NAY PRODUCT RESULTING FROM FREESCALE SERVICES. IN NO EVENT
SHALL FREESCALE BE LIABLE FOR INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF 
THIS AGREEMENT.

CUSTOMER agrees to hold FREESCALE harmless against any and all claims demands or 
actions by anyone on account of any damage, or injury, whether commercial, 
contractual, or tortuous, rising directly or indirectly as a result of the advise
or assistance supplied CUSTOMER in connection with product, services or goods 
supplied under this Agreement.
********************************************************************************
* File              Optimizations.h
* Owner             b05111
* Version           0.1
* Date              Mar-25-2015
* Classification    General Business Information
********************************************************************************
Revision History:
Version  Date         Author        Description of Changes
0.0      Nov-14-2014  b05111        Initial version
0.1      Mar-25-2015  b05111        Global and Core optimizations
*******************************************************************************/

#ifndef _OPTIMIZATIONS_H
#define _OPTIMIZATIONS_H

/*******************************************************************************
* Constants
*******************************************************************************/


#define DCACHE_COPYBACK_MODE 0// 1-copyback, 0-write-through

#define SPR_L1CSR1 1011
#define SPR_L1CSR0 1010


/*******************************************************************************
* Global functions
*******************************************************************************/

void Core_optimizations(void);
void Global_optimizations(void);

#endif /* _OPTIMIZATIONS_H */



